using System.ComponentModel.DataAnnotations;

namespace PersonSport.Models {
    public class MailViewModel {
        [Required(ErrorMessage = "Du måste ange din e-postadress så vi kan kontakta dig")]
        [StringLength(50, MinimumLength = 6, ErrorMessage = "Din epost-adress måste vara minst 6 tecken och max 50 tecken")]
        [Display(Name = "Din E-postadress")]
        [RegularExpression(@"^[a-zA-Z0-9_.+-]+@[a-zA-Z0-9-]+\.[a-zA-Z0-9-.]+$", ErrorMessage = "Felaktig e-postadress")]
        public string Epost { get; set; }

        [Required(ErrorMessage = "Du måste ange ditt ärende")]
        [StringLength(50, MinimumLength = 3, ErrorMessage = "Ditt ärende måste vara minst 3 tecken och max 50 tecken")]
        [Display(Name = "Ärende")]
        public string Subject { get; set; }

        [Required(ErrorMessage = "Du måste skriva vad det gäller")]
        [StringLength(500, MinimumLength = 5, ErrorMessage="Ditt meddelande måste vara minst 5 tecken och max 500 tecken")]
        [Display(Name = "Meddelande")]
        public string Message { get; set; }
    }
}
